2017. május 27., szombat

Gyorskeresés

Útvonal

Hírek » Szoftver rovat

Minden platformon támogatja a WebAssemblyt az új Firefox

  • (f)
  • (p)
Írta: | | Forrás: IT café

Arról is szól, ha olyan oldalon akarjuk beírni a jelszavunkat, amelyiket nem védi a HTTPS. A Mozilla böngészője többé nem támogatja a NPAPI plugineket.

A napokban váltott verziót a Firefox, szám szerint az 52-es kiadásra. Fontos biztonsági frissítéseket rejt az új változat, emellett új funkciók is érkeztek. 28 biztonsági rést foltoztak be a fejlesztők, ebből hatot kritikusnak minősítettek, már csak ezért is megéri frissíteni. A másik, felhasználókat védő újítás felugró figyelmeztetéssel jelez, ha olyan oldalon írjuk be a jelszavunkat, ami nem rendelkezik HTTPS védelemmel.

A Firefox 52 nagy dobása a WebAssembly támogatása. Ezzel a webes appok közel valós (natív) sebességgel futtathatók. A Mozilla azt várja az új szabványtól, hogy a CPU-zabáló alkalmazások, mint a 3D játékok, illetve akár a videószerkesztők is jól használhatók legyenek a böngészőben.

A WebAssembly kapcsán David Bryant, a platform mérnöki csapatának vezetője úgy fogalmazott, "ez az egyik legnagyobb előrelépés a webes platformon az elmúlt évtizedben". Nyilván a Google Native Client API fejlesztői a saját megoldásukról mondanák ugyanezt.

Mindenesetre egyúttal letiltották a NPAPI (Netscae Plug-in Application Programming Interface) plugineket (a Flash maradt), amiket a Chrome-ból 2015-be, az Operából tavaly tüntették el, az Internet Explorerben pedig sosem volt. Érdekesség, hogy a Safari továbbra is támogatja, bár alapértelmezésben nem indítja el ezeket.

A Firefox 52 Windows, Linux, macOS és Android platformokon is elérhető, mindegyik operációs rendszeren támogatja a WebAssemblyt.

Gyártók, szolgáltatók

Copyright © 2000-2017 PROHARDVER Informatikai Kft.